[POST] .../v1/docperiodclosing/iscando
Checks whether a period closing document can be created for the specified date. Use this method before DocPeriodClosing/Add to check whether the selected firm can start a period closing for close_date. The request body is required, firm_id and close_date are required and the caller needs the same add permission that is used for creating the period closing document. The response returns readiness flags for cash server synchronization, operating cash closed-session state, retail data copying, aggregation, earlier in-work closing documents and later completed closing documents. Business errors such as missing body, invalid firm_id or close_date, denied access, missing firm, database failures or persistent validation failures are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| close_date | Int64 | Required | Required estimated period closing date as Unix time in seconds. |
| firm_id | Int64 | Required | Required company ID. |
Request Example
{
"firm_id": 2,
"close_date": 1714521599
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| next_offset | Int32 | Offset for the next data page. |
| ok | Boolean | Indicates whether the request completed successfully. |
| result | DocPeriodClosingCheck | Result object. |
| total | Int64 | Total number of result items. |
Response Example
{
"ok": true,
"result": {
"ok": true,
"cash_servers": [
{
"name": "Main POS server",
"status": true
}
],
"operating_cashes": [
{
"name": "00001",
"status": true
}
],
"copy": true,
"aggregation": true,
"has_before_docs_in_work": false,
"has_after_docs_done": false
},
"next_offset": 0,
"total": 1
}